import os
from collections import defaultdict
from pprint import pprint

"""
Display the total file size of files in a directory and subdirectories,
grouped by extension.
"""

stats = defaultdict(int)
count = defaultdict(int)
total = 0
for (dirpath, _, filenames) in os.walk(r"/home/djib/Images/original"):
    for filename in filenames:
        _, extension = os.path.splitext(filename)
        stats[extension] += os.path.getsize(os.path.join(dirpath, filename))
        count[extension] += 1
        total += 1

pprint(stats)
pprint(count)
pprint(total)
