# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
from bs4 import BeautifulSoup
import glob

directories = glob.glob(r"~/roms/*")
for directory in directories:
    files = glob.glob(r"gamelist.xml", root_dir=directory)
    for file in files:
        with open(directory+"/"+file,'r') as f:
            file = f.read()
        soup = BeautifulSoup(file, 'xml')
        favorites = soup.find_all('favorite')
        for favorite in favorites:
            print(directory+favorite.parent.path.text) 
